{
  "rnpm": {
    "assets": [
      "src/assets/fonts"
    ]
  },
  "scripts": {
    "start": "react-native start",
    "android": "react-native run-android",
    "ios": "yarn build:ios && react-native run-ios --simulator \"iPhone 12\"",
    "web": "expo start --web",
    "test": "jest --watchAll",
    "pretty": "prettier --write \"**/*.js\"",
    "postinstall": "jetify && rn-nodeify --install url,events,https,http,util,stream,crypto,vm,buffer --hack --npm",
    "build:ios": "react-native bundle --entry-file='index.js' --bundle-output='./ios/main.jsbundle' --dev=false --platform='ios'"
  },
  "jest": {
    "testEnvironment": "jsdom",
    "preset": "react-native",
    "setupFiles": [
      "./jest.setup.js"
    ],
    "transformIgnorePatterns": [
      "node_modules/(?!(@react-native-community|react-native|native-base-shoutem-theme))"
    ]
  },
  "dependencies": {
    "@expo/samples": "~3.0.3",
    "@expo/vector-icons": "^10.0.3",
    "@react-native-community/async-storage": "^1.6.3",
    "@react-navigation/web": "^1.0.0-alpha.9",
    "@tradle/react-native-http": "^2.0.0",
    "axios": "^0.19.2",
    "buffer": "^4.9.1",
    "eslint": "^6.6.0",
    "events": "^1.0.0",
    "expo": "^35.0.0",
    "expo-asset": "^7.0.0",
    "expo-constants": "^7.0.0",
    "expo-font": "^7.0.0",
    "expo-web-browser": "^7.0.0",
    "https-browserify": "0.0.1",
    "native-base": "^2.13.8",
    "node-libs-react-native": "^1.0.3",
    "react": "16.12.0",
    "react-dom": "16.8.3",
    "react-native": "^0.59.9",
    "react-native-app-auth": "^4.4.0",
    "react-native-button": "^2.4.0",
    "react-native-camera": "^3.23.1",
    "react-native-crypto": "^2.1.0",
    "react-native-elements": "^1.2.7",
    "react-native-gesture-handler": "~1.3.0",
    "react-native-permissions": "^2.1.2",
    "react-native-qrcode-scanner": "^1.4.0",
    "react-native-qrcode-svg": "^6.0.6",
    "react-native-randombytes": "^3.0.0",
    "react-native-reanimated": "~1.3.0",
    "react-native-screens": "1.0.0-alpha.23",
    "react-native-svg": "^12.1.0",
    "react-native-unimodules": "^0.6.0",
    "react-native-vector-icons": "^6.6.0",
    "react-native-web": "^0.11.7",
    "react-navigation": "^3.12.0",
    "react-promise-tracker": "^2.0.5",
    "react-stomp": "^4.3.0",
    "readable-stream": "^1.0.33",
    "stellar-base": "8.0.1",
    "stream-browserify": "^1.0.0",
    "url": "^0.10.3",
    "util": "^0.10.4",
    "vm-browserify": "0.0.4"
  },
  "devDependencies": {
    "@babel/core": "^7.6.0",
    "@babel/plugin-syntax-dynamic-import": "^7.7.4",
    "babel-jest": "24.9.0",
    "babel-plugin-module-resolver": "^3.2.0",
    "babel-preset-expo": "^7.0.0",
    "enzyme": "^3.11.0",
    "enzyme-adapter-react-16": "^1.15.2",
    "eslint-import-resolver-babel-module": "^5.1.2",
    "eslint-plugin-import": "^2.20.0",
    "husky": "^3.1.0",
    "jest": "24.9.0",
    "jest-expo": "^35.0.0",
    "jetifier": "^1.6.4",
    "lint-staged": "^9.4.3",
    "metro-react-native-babel-preset": "0.56.0",
    "prettier": "1.19.1",
    "react-test-renderer": "16.9.0",
    "rn-nodeify": "^10.2.0"
  },
  "private": true,
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged"
    }
  },
  "lint-staged": {
    "*.js": [
      "prettier --write",
      "git add"
    ]
  },
  "react-native": {
    "crypto": "react-native-crypto",
    "http": "@tradle/react-native-http",
    "https": "https-browserify",
    "_stream_transform": "readable-stream/transform",
    "_stream_readable": "readable-stream/readable",
    "_stream_writable": "readable-stream/writable",
    "_stream_duplex": "readable-stream/duplex",
    "_stream_passthrough": "readable-stream/passthrough",
    "stream": "stream-browserify",
    "vm": "vm-browserify"
  },
  "browser": {
    "crypto": "react-native-crypto",
    "http": "@tradle/react-native-http",
    "https": "https-browserify",
    "_stream_transform": "readable-stream/transform",
    "_stream_readable": "readable-stream/readable",
    "_stream_writable": "readable-stream/writable",
    "_stream_duplex": "readable-stream/duplex",
    "_stream_passthrough": "readable-stream/passthrough",
    "stream": "stream-browserify",
    "vm": "vm-browserify"
  },
  "version": "1.1.0"
}
